#include "mbed.h"
#include "Adafruit_GFX/Adafruit_SSD1306.h"
#include "stdint.h"
#include "standard_font.h"
#include "bold_font.h"
#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 64
int main () {
    DigitalIn counter(D6,PullUp);
    DigitalIn sw(PB_0, PullUp);
    DigitalOut led3(PB_3);
    I2C i2c(I2C_SDA, I2C_SCL);
    Adafruit_SSD1306_I2c oled(i2c, D4);
    while (1) {
        int count = 0;
        while (1) {
            oled.clearDisplay();
            oled.setTextCursor(3,10);
            oled.printf("Insert Coint(s) = %d",count);
            oled.display();
            if (counter) {
                while (!counter)
                    ;
                wait(0.02);
            }
            else {
                while (!counter)
                    ;
                wait(0.02);
                count ++;
            }
            if (count == 5 ){
                break;
            }
            wait(0.02);
        }
        while (1) {
            while (sw) {// wait until switch is pressed
                oled.clearDisplay();
                oled.setTextCursor(5,10);
                oled.printf("Please Press Switch");
                oled.display();
            }
            wait(0.02); // simple debounce
            while (!sw) // wait until switch is released
                ;
            wait(0.02); // simple debounce
            break;
        }
        oled.clearDisplay();
        oled.setTextCursor(30,10);
        oled.printf("GOOD LUCK!!!");
        oled.display();
        wait(5);
    }
}
       
