#include "mbed.h"
#include "Servo.h"]
DigitalIn sw(D3,PullUp);
DigitalOut green1(D11);
DigitalOut green2(PA_8);
DigitalOut yellow1(D12);
DigitalOut yellow2(PA_11);
I2CSlave slave(D4,D5);
Servo myservo(PB_0);
EventQueue queue;
Thread thr_queue;
int main () {
    char buf[20];
    slave.address(0xA0);
    printf("STM32 started...\n");
    thr_queue.start(callback(&queue,&EventQueue::dispatch_forever));
    while (1) {
        printf("Loop...\n");
        int i = slave.receive();
        for(int i = 0; i < sizeof(buf); i++) buf[i] = 0;
        switch (i) {
            case I2CSlave::ReadAddressed:
                if (!sw) // switch pressed
                    slave.write("ON ", 3);
                else
                    slave.write("OFF", 3);
                break;
            case I2CSlave::WriteAddressed:
                slave.read(buf,sizeof(buf)-1);
                printf("Read: %s\n", buf);
                for (int i = 0 ; i < 10 ; i++) {
                    green1 = 1;
                    green2 = 1;
                    yellow1 = 0;
                    yellow2 = 0;
                    wait(0.2);
                    green1 = 0;
                    green2 = 0;
                    yellow1 = 1;
                    yellow2 = 1;
                    wait(0.2);
                }
                yellow1 = 0;
                yellow2 = 0;
                for(int i=0; i<100; i++) {
                     myservo = i/100.0;
                     wait(0.015);
                 }
                myservo = 0;
                wait(0.02);
                break;
         }
         wait(30);
     }
}
